NACOS_HOST: http://jmenv-dncs.hb-2-am301-a.res.sgmc.sgcc.com.cn
NACOS_PORT: 8848
NAMESPACE: 74226456-1d37-4a89-bbb3-08d24fb54126

server:
  servlet:
    context-path: /
  port: 19006

spring:
  main:
    allow-bean-definition-overriding: true
  mvc:
    static-path-pattern: /static/**         # 静态资源路径
    view:
      prefix: /WEB-INF/view
  application:
    name: load-transfer-si
  cloud:
    nacos:
      discovery:
        server-addr: ${NACOS_HOST}:${NACOS_PORT}
        namespace: ${NAMESPACE}
        metadata:
          formdesign: true
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        username: ${spring.cloud.nacos.discovery.username}
        password: ${spring.cloud.nacos.discovery.password}
        namespace: ${spring.cloud.nacos.discovery.namespace}
        file-extension: yml
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension} #公共配置
          - datasource-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}  #数据源配置
          - hussar-common-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension} #轻骑兵框架配置
          - load-transfer-custom-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension} #负荷转供系统自定义配置